import BasicLayout from '../layouts/BasicLayout';
import UserLayout from '../layouts/UserLayout';
import Login from '../pages/user/login';
import Welcome from '../pages/Welcome';

export default {
  routes: [
    {
      path: '/user',
      component: UserLayout,
      routes: [
        {
          name: 'login',
          path: '/user/login',
          component: Login,
        },
      ],
    },
    
    {
      // path: '/web5/?client=city',
      path: '/',
      component: BasicLayout,
      routes: [
        {
          path: '/Welcome/1',
          name: 'blank',
          component: Welcome,
        },
      ],
    },
    // ...routes
  ],
};
